/*
File Name: livechat2connectmeelementss.js
Plugin URI: https://www.2connectme.com
Description: Business Chat Room helps connect your customer with text chat, voice talk or even video call to you instantly.
Version: 1.2.1
Author: 2ConnectMe Limited
Text Domain: live-chat-2connectme
Domain Path: /languages
License: GPLv2 or later

The plugin is based on the plugin myStickyElements to develop. myStickyElemnts plugin information is as follows.
myStickyElements Plugin URI: http://wordpress.transformnews.com/plugins/mystickyelements-simple-sticky-side-elements-for-wordpress-504
myStickyElements Description: myStickyElements is simple yet very effective plugin. It is perfect to fill out usually unused side space on webpages with some additional messages, videos, social widgets ...
myStickyElements Version: 1.2
myStickyElements Author: m.r.d.a
myStickyElements License: GPLv2 or later
*/


(function($) {

var myfixed_disable_small = parseInt(livechat2connectme_element.livechat2connectme_disable_at_width_string);
var myfixed_click = livechat2connectme_element.myfixed_click_string;
var mybodyWidth = parseInt(document.body.clientWidth);
var frameHeight = 0;
var frameWidth = 0;
var maxFrameHeight = 0;
var maxFrameWidth = 0;
var touched = false;
var iconImg = $('.livechat2connectme-block-icon').css('background-image');
var ifsrc = $('#2connectme-content').attr('data-ifsrc');
var contentHeight = $('#2connectme-content').parent().parent().height();
var httpWindow = null;

 var checkMobile = {
		
		Android: function() {
			return navigator.userAgent.match(/Android/i);
		},
		BlackBerry: function() {
			return navigator.userAgent.match(/BlackBerry/i);
		},
		iOS: function() {
			return navigator.userAgent.match(/iPhone|iPad|iPod/i);
		},
		Opera: function() {
			return navigator.userAgent.match(/Opera Mini/i);
		},
		Windows: function() {
			return navigator.userAgent.match(/IEMobile/i) || navigator.userAgent.match(/WPDesktop/i);
		},
		any: function() {
			return (checkMobile.Android() || checkMobile.BlackBerry() || checkMobile.iOS() || checkMobile.Opera() || checkMobile.Windows());
		}
}



var touchEventHandler = function(){
	touched = true;

	if (!shouldOpenNewWindow()){
		if (iconImg.search('phone') >= 0 ||  iconImg.search('video') >=0){
			if ($('#2connectme-content').attr('src') == null || $('#2connectme-content').attr('src').length ==0){
				$('#2connectme-content').attr('src', ifsrc);
			}
		}
	}
	else{
		if (httpWindow == null || checkMobile.iOS() )
			httpWindow = window.open(ifsrc, "_blank", "left=0,top=0,height=350,width=300,location=no");
		else{
			if (httpWindow.closed)
				httpWindow = window.open(ifsrc, "_blank", "left=0,top=0,height=350,width=300,location=no");
			else
				httpWindow.focus();
		}
	}
};

var shouldOpenNewWindow = function(){
	
	if (checkMobile.iOS())
		return true;
	else
		return false;
};


var initLoadChatMail = function(){
	if (! shouldOpenNewWindow()){
		if (iconImg.search('chat.png')>=0 || iconImg.search('chat-medium.png')>=0 || iconImg.search('chat-large.png')>=0 || iconImg.search('chat-small.png')>=0 || iconImg.search('mail')>=0)
		{
			$('#2connectme-content').attr('src', ifsrc);
			
		}

	}
}

console.log('Business Chat Room - 2ConnectMe plugin v1.1');

initLoadChatMail();

$('#2connectme-content').parent().parent().css('bottom', 0-contentHeight);

	var eventMethod = window.addEventListener ? "addEventListener" : "attachEvent";
	var eventer = window[eventMethod];
	var messageEvent = eventMethod == "attachEvent" ? "onmessage" : "message";

	
	eventer(messageEvent,function(e) {
		
		if (typeof e.data.split != 'undefined'){
			var msgData  = e.data.split(':');

			if (msgData[0] == 'wpFrameSize'){
				var blockContent;

				blockContent = $('.livechat2connectme-block-left');
				blockContent.css('height', msgData[2]);
				blockContent.css('width', msgData[1]);
				
				blockContent = $('.livechat2connectme-block-right');
				blockContent.css('height', msgData[2]);
				blockContent.css('width', msgData[1]);

				$('#2connectme-content').css('height', msgData[2]);
				$('#2connectme-content').css('width', msgData[1]);
				$(this).parent().stop().animate({'bottom': '0'});

				if (! touched){
					var contentHeight = $('#2connectme-content').parent().parent().height();
					$('#2connectme-content').parent().parent().css('bottom', 0-contentHeight);
				}
				else{
				
				}
					
			}
			else if ([msgData[0] == 'wpIconClick']){
			    $('.livechat2connectme-block-right .livechat2connectme-block-icon').click();
				$('.livechat2connectme-block-left .livechat2connectme-block-icon').click();
			}
		}
			
	},false);
	
	$('#2connectme-content').on('load', function(){
		var contentHeight = $('#2connectme-content').parent().parent().height();
		
		if (iconImg.search('chat.png')>=0 || iconImg.search('chat-medium.png')>=0 || iconImg.search('chat-large.png')>=0 || iconImg.search('chat-small.png')>=0 || iconImg.search('mail')>=0){
			$('#2connectme-content').parent().parent().css('bottom', 0-contentHeight);
		}

	});


if (mybodyWidth >= myfixed_disable_small) {

	if (myfixed_click == 'hover' || myfixed_click == 'click'){

			
		$('.livechat2connectme-block-left .livechat2connectme-block-content .livechat2connectme-block-maxwindow-icon').click(function(){

			$('.livechat2connectme-block-left .livechat2connectme-block-content .livechat2connectme-block-maxwindow-icon').css('display', 'block');
			$('.livechat2connectme-block-left .livechat2connectme-block-content .livechat2connectme-block-minwindow-icon').css('display', 'block');

			var blockContent = $('.livechat2connectme-block-left');
			
			if (blockContent.width() == $(window).width()) 
			{	
				maxFrameHeight = blockContent.height();
				maxFrameWidth = blockContent.width();

				blockContent.stop().animate( {'height': frameHeight, 'width':frameWidth} );

				blockContent.css('width', frameWidth);
				
				$('#2connectme-content').css('height', frameHeight);
				$('#2connectme-content').css('width', frameWidth);
			}
			else
			{ 
				frameHeight = blockContent.height();
				frameWidth = blockContent.width();

				blockContent.stop().animate({'height': $(window).height().toString(), 'width': $(window).width().toString()} );
				blockContent.css('width', $(window).width());
		
				$('#2connectme-content').css('height', $(window).height());
				$('#2connectme-content').css('width', $(window).width());
			}	
		});

		$('.livechat2connectme-block-left .livechat2connectme-block-content .livechat2connectme-block-minwindow-icon').click(function(){
			$('.livechat2connectme-block-left .livechat2connectme-block-content .livechat2connectme-block-minwindow-icon').css('display', 'block');
			$('.livechat2connectme-block-left .livechat2connectme-block-content .livechat2connectme-block-maxwindow-icon').css('display', 'block');
			
			$('.livechat2connectme-block-left .livechat2connectme-block-icon').click();

		});

		$('.livechat2connectme-block-right .livechat2connectme-block-content .livechat2connectme-block-maxwindow-icon').click(function(){
			$('.livechat2connectme-block-right .livechat2connectme-block-content .livechat2connectme-block-maxwindow-icon').css('display', 'block');
			$('.livechat2connectme-block-right .livechat2connectme-block-content .livechat2connectme-block-minwindow-icon').css('display', 'block');

			var blockContent = $('.livechat2connectme-block-right');

			if (blockContent.width() == $(window).width()) 
			{	
				maxFrameHeight = blockContent.height();
				maxFrameWidth = blockContent.width();

				blockContent.stop().animate( {'height': frameHeight, 'width':frameWidth} );

				blockContent.css('width', frameWidth);
				$('#2connectme-content').css('height', frameHeight);
				$('#2connectme-content').css('width', frameWidth);
			}
			else 
			{ 
				
				frameHeight = blockContent.height();
				frameWidth = blockContent.width();

				blockContent.stop().animate({'height': $(window).height().toString(), 'width': $(window).width().toString()} );
				
				blockContent.css('width', $(window).width());
		
				$('#2connectme-content').css('height', $(window).height());
				$('#2connectme-content').css('width', $(window).width());
			}	

		});

		$('.livechat2connectme-block-right .livechat2connectme-block-content .livechat2connectme-block-minwindow-icon').click(function(){

			$('.livechat2connectme-block-right .livechat2connectme-block-content .livechat2connectme-block-minwindow-icon').css('display', 'block');
			$('.livechat2connectme-block-right .livechat2connectme-block-content .livechat2connectme-block-maxwindow-icon').css('display', 'block');

		    $('.livechat2connectme-block-right .livechat2connectme-block-icon').click();

		});

	} //if myfixed_click == hover or click




	if (myfixed_click == 'hover') {
		
		$('.livechat2connectme-block-left .livechat2connectme-block-icon').mouseover(function(){

			touchEventHandler();

			if (shouldOpenNewWindow())
				return;

			$(this).addClass("mse-open");
			var blockContent = $('.livechat2connectme-block-left');

			if (frameHeight != blockContent.height() && frameWidth != blockContent.width() && frameHeight != 0 & frameWidth != 0){
				blockContent.css('height', $(window).height());
				blockContent.css('width', $(window).width());
				$('#2connectme-content').css('height', $(window).height());
				$('#2connectme-content').css('width', $(window).width());
			}

			$(this).parent().stop().animate({'bottom' : '0px'});
			
		});

		$('.livechat2connectme-block-left .livechat2connectme-block-icon').click(function(){

			touchEventHandler();

			if (shouldOpenNewWindow())
				return;

			$(this).toggleClass("mse-open");
				if ($(this).hasClass("mse-open")) {
					var y = $(this).parent().height();
					$(this).parent().stop().animate({'bottom' : 0-y});
				} else {
					var blockContent = $('.livechat2connectme-block-left');

					if (frameHeight != blockContent.height() && frameWidth != blockContent.width() && frameHeight != 0 & frameWidth != 0){
						blockContent.css('height', $(window).height());
						blockContent.css('width', $(window).width());
						$('#2connectme-content').css('height', $(window).height());
						$('#2connectme-content').css('width', $(window).width());
					}

					$(this).parent().stop().animate({'bottom' : '0px' });
				} 
		});

		


		/***********************************************************************************/


		$('.livechat2connectme-block-right .livechat2connectme-block-icon').mouseover(function(){
			touchEventHandler();

			if (shouldOpenNewWindow())
				return;


			$(this).addClass("mse-open");
			var blockContent = $('.livechat2connectme-block-right');

			if (frameHeight != blockContent.height() && frameWidth != blockContent.width() && frameHeight != 0 & frameWidth != 0){
				blockContent.css('height', $(window).height());
				blockContent.css('width', $(window).width());
				$('#2connectme-content').css('height', $(window).height());
				$('#2connectme-content').css('width', $(window).width());
			}

		    $(this).parent().stop().animate({'bottom' : '0px'});
		});

		$('.livechat2connectme-block-right .livechat2connectme-block-icon').click(function(){
			touchEventHandler();

			if (shouldOpenNewWindow())
				return;
	
			if ($(this).hasClass("mse-open")) {
				var y = $(this).parent().height();
				$(this).parent().stop().animate({'bottom' : 0-y});
			} else {
				var blockContent = $('.livechat2connectme-block-right');

				if (frameHeight != blockContent.height() && frameWidth != blockContent.width() && frameHeight != 0 & frameWidth != 0){
					blockContent.css('height', $(window).height());
					blockContent.css('width', $(window).width());
					$('#2connectme-content').css('height', $(window).height());
					$('#2connectme-content').css('width', $(window).width());
				}

				$(this).parent().stop().animate({'bottom' : '0px'});
			} 

			$(this).toggleClass("mse-open");
		});

		
	};


	//////////////////////////////////////////////////////////////////////////////////////////////////
		
	if (myfixed_click == 'click') {

		$('.livechat2connectme-block-left .livechat2connectme-block-icon').click(function(){
			touchEventHandler();

			if (shouldOpenNewWindow())
				return;

			if ($(this).hasClass("mse-open")) {
				var y = $(this).parent().height();
		    	$(this).parent().stop().animate({'bottom' : 0-y});
			
			} else {
            
				var blockContent = $('.livechat2connectme-block-left');

				if (frameHeight != blockContent.height() && frameWidth != blockContent.width() && frameHeight != 0 & frameWidth != 0){

					blockContent.css('height', $(window).height());
					blockContent.css('width', $(window).width());
					$('#2connectme-content').css('height', $(window).height());
					$('#2connectme-content').css('width', $(window).width());
				}

				$(this).parent().stop().animate({'bottom': '0px'});

			}

			$(this).toggleClass("mse-open");
			
		});

		
		/*********************************************************************************/

		$('.livechat2connectme-block-right .livechat2connectme-block-icon').click(function(){
			touchEventHandler();
			
			if (shouldOpenNewWindow())
				return;

			if ($(this).hasClass("mse-open")) {
				var y = $(this).parent().height();
				$(this).parent().stop().animate({'bottom' : 0-y});
			}
			else {
				var blockContent = $('.livechat2connectme-block-right');

				if (frameHeight != blockContent.height() && frameWidth != blockContent.width() && frameHeight != 0 & frameWidth != 0){

					blockContent.css('height', $(window).height());
					blockContent.css('width', $(window).width());
					$('#2connectme-content').css('height', $(window).height());
					$('#2connectme-content').css('width', $(window).width());
				}

				$(this).parent().stop().animate({'bottom' : '0px'});
			} 
			
			$(this).toggleClass("mse-open");
		});
		
	};	  
};
})(jQuery);